package com.silence.activity;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import com.google.android.material.snackbar.Snackbar;
import com.silence.manager.LoginManager;
import com.silence.network.listener.CallBackLis;
import com.silence.scoreboard.MainActivity;
import com.silence.scoreboard.R;
import com.silence.scoreboard.http.HttpRequest;
import com.silence.scoreboard.model.LoginBackModel;
import okhttp3.HttpUrl;

public class LoginActivity extends AppCompatActivity implements View.OnClickListener {
    private Button btnLogin;
    private EditText etLoginName;
    private EditText etPwd;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_login);
        this.etLoginName = (EditText) findViewById(R.id.et_login_name);
        this.etPwd = (EditText) findViewById(R.id.et_pwd);
        Button button = (Button) findViewById(R.id.btn_login);
        this.btnLogin = button;
        button.setOnClickListener(this);
        ((Button) findViewById(R.id.go_register)).setOnClickListener(this);
    }

    public void onClick(final View view) {
        int id = view.getId();
        if (id == R.id.btn_login) {
            String trim = this.etLoginName.getText().toString().trim();
            String trim2 = this.etPwd.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                Snackbar.make(view, "请输入登录名", -1).show();
            } else if (TextUtils.isEmpty(trim2)) {
                Snackbar.make(view, "请输入密码", -1).show();
            } else {
                HttpRequest.login(this, trim, trim2, new CallBackLis<LoginBackModel>() {
                    /* class com.silence.activity.LoginActivity.AnonymousClass1 */

                    public void onSuccess(String str, LoginBackModel loginBackModel) {
                        Toast.makeText(LoginActivity.this, "登录成功", 0).show();
                        LoginManager.getInstance().setUserInfo(loginBackModel);
                        LoginActivity.this.startActivity(new Intent(LoginActivity.this, MainActivity.class));
                        LoginActivity.this.finish();
                    }

                    @Override // com.silence.network.listener.CallBackLis
                    public void onFailure(String str, String str2) {
                        Snackbar.make(view, str2, -1).show();
                        LoginActivity.this.etPwd.setText(HttpUrl.FRAGMENT_ENCODE_SET);
                    }
                });
            }
        } else if (id == R.id.go_register) {
            startActivity(new Intent(this, RegisterActivity.class));
        }
    }
}
