package com.silence.activity;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import com.silence.manager.LoginManager;
import com.silence.network.listener.CallBackLis;
import com.silence.scoreboard.MainActivity;
import com.silence.scoreboard.R;
import com.silence.scoreboard.http.HttpRequest;
import com.silence.scoreboard.model.LoginBackModel;

public class RegisterActivity extends AppCompatActivity {
    private EditText accountIn;
    private EditText passwdIn;
    private Button register;
    private EditText usernameIn;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_register);
        this.register = (Button) findViewById(R.id.register);
        this.usernameIn = (EditText) findViewById(R.id.username_reg);
        this.accountIn = (EditText) findViewById(R.id.account_reg);
        this.passwdIn = (EditText) findViewById(R.id.password_reg);
        this.register.setOnClickListener(new View.OnClickListener() {
            /* class com.silence.activity.RegisterActivity.AnonymousClass1 */

            public void onClick(View view) {
                String obj = RegisterActivity.this.usernameIn.getText().toString();
                String obj2 = RegisterActivity.this.accountIn.getText().toString();
                String obj3 = RegisterActivity.this.passwdIn.getText().toString();
                if (TextUtils.isEmpty(obj) || TextUtils.isEmpty(obj2) || TextUtils.isEmpty(obj3)) {
                    Toast.makeText(RegisterActivity.this, "请输入完整信息", 0).show();
                } else {
                    HttpRequest.register(RegisterActivity.this, obj, obj2, obj3, new CallBackLis<LoginBackModel>() {
                        /* class com.silence.activity.RegisterActivity.AnonymousClass1.AnonymousClass1 */

                        public void onSuccess(String str, LoginBackModel loginBackModel) {
                            Toast.makeText(RegisterActivity.this, "Register Successfully", 0).show();
                            LoginManager.getInstance().setUserInfo(loginBackModel);
                            RegisterActivity.this.startActivity(new Intent(RegisterActivity.this, MainActivity.class));
                            RegisterActivity.this.finish();
                        }

                        @Override // com.silence.network.listener.CallBackLis
                        public void onFailure(String str, String str2) {
                            Toast.makeText(RegisterActivity.this, str2, 0).show();
                        }
                    });
                }
            }
        });
    }
}
