package com.silence.game;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import androidx.core.internal.view.SupportMenu;
import com.alibaba.fastjson.asm.Opcodes;
import com.silence.activity.BaseActivity;
import com.silence.utils.PreferencesUtil;

public class GameActivity extends BaseActivity implements GestureDetector.OnGestureListener {
    static int screenH;
    static int screenW;
    GestureDetector detector;
    private DisplayMetrics displayMetrics;
    Egg egg;
    GameThread gameThread;
    Snake snake;
    Yard yard;

    public boolean onDown(MotionEvent motionEvent) {
        return false;
    }

    public void onLongPress(MotionEvent motionEvent) {
    }

    public boolean onScroll(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
        return false;
    }

    public void onShowPress(MotionEvent motionEvent) {
    }

    public boolean onSingleTapUp(MotionEvent motionEvent) {
        return false;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.silence.activity.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(1);
        Yard yard2 = new Yard(this);
        this.yard = yard2;
        setContentView(yard2);
        getWindow().setFlags(1024, 1024);
        this.detector = new GestureDetector(this, this);
        this.displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(this.displayMetrics);
        screenW = this.displayMetrics.widthPixels;
        screenH = this.displayMetrics.heightPixels;
        this.snake = new Snake();
        this.egg = new Egg();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return this.detector.onTouchEvent(motionEvent);
    }

    public boolean onFling(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
        float x = motionEvent.getX();
        float x2 = motionEvent2.getX();
        float y = motionEvent.getY();
        float y2 = motionEvent2.getY();
        float f3 = x - x2;
        if (f3 <= 50.0f || Math.abs(f) <= 0.0f || Math.abs(f3) <= Math.abs(y - y2)) {
            if (x2 - x <= 50.0f || Math.abs(f) <= 0.0f || Math.abs(f3) <= Math.abs(y - y2)) {
                float f4 = y - y2;
                if (f4 <= 50.0f || Math.abs(f2) <= 0.0f || Math.abs(f3) >= Math.abs(f4)) {
                    if (y2 - y <= 50.0f || Math.abs(f2) <= 0.0f || Math.abs(f3) >= Math.abs(f4) || this.snake.head.dir == Dir.U) {
                        return false;
                    }
                    this.snake.head.dir = Dir.D;
                    return false;
                } else if (this.snake.head.dir == Dir.D) {
                    return false;
                } else {
                    this.snake.head.dir = Dir.U;
                    return false;
                }
            } else if (this.snake.head.dir == Dir.L) {
                return false;
            } else {
                this.snake.head.dir = Dir.R;
                return false;
            }
        } else if (this.snake.head.dir == Dir.R) {
            return false;
        } else {
            this.snake.head.dir = Dir.L;
            return false;
        }
    }

    class Yard extends SurfaceView implements SurfaceHolder.Callback {
        static final int COLS = 15;
        static final int ROWS = 25;
        public static final int SIZE = 40;
        private SurfaceHolder holder;

        public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
        }

        public Yard(Context context) {
            super(context);
            SurfaceHolder holder2 = getHolder();
            this.holder = holder2;
            holder2.addCallback(this);
            GameActivity.this.gameThread = new GameThread(this.holder);
        }

        public Yard(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
        }

        public Yard(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public void surfaceCreated(SurfaceHolder surfaceHolder) {
            GameActivity.this.gameThread.isRun = true;
            GameActivity.this.gameThread.start();
        }

        public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
            GameActivity.this.gameThread.isRun = false;
        }
    }

    class GameThread extends Thread {
        int COLS = 15;
        int ROWS = 25;
        int SIZE = 40;
        float exSize;
        private SurfaceHolder holder;
        public boolean isRun;
        int length = 2;

        public GameThread(SurfaceHolder surfaceHolder) {
            this.holder = surfaceHolder;
            this.isRun = true;
        }

        public void run() {
            Canvas lockCanvas;
            while (this.isRun) {
                Paint paint = new Paint();
                this.exSize = paint.getTextSize();
                synchronized (this.holder) {
                    lockCanvas = this.holder.lockCanvas();
                    lockCanvas.drawRGB(255, Opcodes.IF_ICMPNE, 0);
                    paint.setStyle(Paint.Style.FILL);
                    paint.setTextSize(30.0f);
                    paint.setFakeBoldText(true);
                    paint.setColor(-1);
                    lockCanvas.drawText("长度： " + this.length, 300.0f, 200.0f, paint);
                    lockCanvas.drawText("记录： " + PreferencesUtil.getInt("rec", 2), 300.0f, 235.0f, paint);
                    initialisePaint(paint);
                    GameActivity.this.snake.draw(paint, lockCanvas);
                    GameActivity.this.egg.draw(paint, lockCanvas);
                }
                if (GameActivity.this.snake.checkDead()) {
                    paint.setTextSize(80.0f);
                    paint.setFakeBoldText(true);
                    paint.setColor(SupportMenu.CATEGORY_MASK);
                    lockCanvas.drawText("GAME OVER", 130.0f, 700.0f, paint);
                    int i = PreferencesUtil.getInt("rec", 2);
                    int i2 = this.length;
                    if (i < i2) {
                        PreferencesUtil.putInt("rec", i2);
                    }
                    this.isRun = false;
                }
                if (lockCanvas != null) {
                    this.holder.unlockCanvasAndPost(lockCanvas);
                }
                try {
                    Thread.sleep(300);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                if (GameActivity.this.snake.getRect().intersect(GameActivity.this.egg.getRect())) {
                    GameActivity.this.snake.add();
                    GameActivity.this.egg.reShow();
                    this.length++;
                }
            }
        }

        public void initialisePaint(Paint paint) {
            paint.setTextSize(this.exSize);
            paint.setFakeBoldText(false);
        }
    }
}
