package com.silence.manager;

import android.text.TextUtils;
import com.silence.bean.UserInfo;
import com.silence.scoreboard.model.LoginBackModel;
import com.silence.utils.OooOoo0;
import com.silence.utils.PreferencesUtil;
import com.silence.utils.SerializeUtil;
import java.io.IOException;
import okhttp3.HttpUrl;

public class LoginManager {
    private static LoginManager loginManager;
    private UserInfo userInfo = null;

    public static LoginManager getInstance() {
        if (loginManager == null) {
            synchronized (LoginManager.class) {
                if (loginManager == null) {
                    loginManager = new LoginManager();
                }
            }
        }
        return loginManager;
    }

    public UserInfo getUserInfo() {
        UserInfo userInfo2 = this.userInfo;
        if (userInfo2 != null) {
            return userInfo2;
        }
        String string = PreferencesUtil.getString("user_login_info");
        UserInfo userInfo3 = null;
        if (TextUtils.isEmpty(string)) {
            return null;
        }
        try {
            userInfo3 = (UserInfo) SerializeUtil.deSerialization(string);
        } catch (IOException | ClassNotFoundException e) {
            e.printStackTrace();
        }
        return userInfo3 == null ? new UserInfo() : userInfo3;
    }

    public void setUserInfo(LoginBackModel loginBackModel) {
        String str;
        if (loginBackModel != null) {
            try {
                UserInfo userInfo2 = new UserInfo(loginBackModel.getCode(), OooOoo0.decrypt(loginBackModel.getUsername()), OooOoo0.decrypt(loginBackModel.getAccount()));
                this.userInfo = userInfo2;
                str = SerializeUtil.serialize(userInfo2);
            } catch (Exception e) {
                e.printStackTrace();
                return;
            }
        } else {
            str = HttpUrl.FRAGMENT_ENCODE_SET;
        }
        PreferencesUtil.putString("user_login_info", str);
    }

    public void setUserInfo(UserInfo userInfo2) {
        if (userInfo2 == null) {
            this.userInfo = null;
        }
        try {
            String serialize = SerializeUtil.serialize(userInfo2);
            this.userInfo = userInfo2;
            PreferencesUtil.putString("user_login_info", serialize);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public boolean isLogin() {
        UserInfo userInfo2 = getUserInfo();
        if (userInfo2 == null || TextUtils.isEmpty(userInfo2.getCode()) || TextUtils.isEmpty(userInfo2.getAccount()) || TextUtils.isEmpty(userInfo2.getUserName())) {
            return false;
        }
        return true;
    }
}
