package com.silence.network;

import com.google.gson.JsonParseException;
import java.net.ConnectException;
import java.net.SocketTimeoutException;
import java.text.ParseException;
import org.json.JSONException;
import retrofit2.HttpException;

public class HttpStatusCode {
    public static String code2info(int i) {
        if (i == 200) {
            return "请求成功";
        }
        if (i == 500) {
            return "服务器内部错误";
        }
        if (i == 400) {
            return "错误请求";
        }
        if (i == 401) {
            return "未授权或授权过期";
        }
        if (i == 403) {
            return "服务器拒绝请求";
        }
        if (i == 404) {
            return "请求方法不存在";
        }
        if (i == 414) {
            return "请求地址过长";
        }
        if (i == 415) {
            return "不支持的媒体类型";
        }
        switch (i) {
            case 502:
                return "错误网关";
            case 503:
                return "服务不可用";
            case 504:
                return "网关超时";
            default:
                return "状态码：" + i;
        }
    }

    public static String handleException(Throwable th) {
        if (th instanceof HttpException) {
            return code2info(((HttpException) th).code());
        }
        if ((th instanceof JsonParseException) || (th instanceof JSONException) || (th instanceof ParseException)) {
            return "解析错误";
        }
        if (th instanceof ConnectException) {
            return "连接超时";
        }
        return th instanceof SocketTimeoutException ? "响应超时" : "未知错误";
    }
}
