package com.silence.scoreboard;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import com.silence.activity.LoginActivity;
import com.silence.bean.UserInfo;
import com.silence.manager.LoginManager;
import com.silence.network.listener.CallBackLis;
import com.silence.scoreboard.http.HttpRequest;

public class SplashActivity extends AppCompatActivity {
    private static final int GO_HOME = 0;
    private static final int GO_LOGIN = 1;
    private final Handler mHandler = new Handler() {
        /* class com.silence.scoreboard.SplashActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                SplashActivity.this.startActivity(new Intent(SplashActivity.this, MainActivity.class));
                SplashActivity.this.finish();
            } else if (i == 1) {
                SplashActivity.this.startActivity(new Intent(SplashActivity.this, LoginActivity.class));
                SplashActivity.this.finish();
            }
        }
    };

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (LoginManager.getInstance().isLogin()) {
            UserInfo userInfo = LoginManager.getInstance().getUserInfo();
            HttpRequest.autologin(this, userInfo.getCode(), userInfo.getAccount(), userInfo.getUserName(), new CallBackLis<String>() {
                /* class com.silence.scoreboard.SplashActivity.AnonymousClass2 */

                public void onSuccess(String str, String str2) {
                    Toast.makeText(SplashActivity.this, str2, 0).show();
                    SplashActivity.this.mHandler.sendEmptyMessageAtTime(0, 2000);
                }

                @Override // com.silence.network.listener.CallBackLis
                public void onFailure(String str, String str2) {
                    SplashActivity.this.mHandler.sendEmptyMessageDelayed(1, 2000);
                }
            });
            return;
        }
        this.mHandler.sendEmptyMessageDelayed(1, 2000);
    }
}
