package com.silence.scoreboard.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.silence.scoreboard.R;

public final class ActivitySearchBinding implements ViewBinding {
    private final ConstraintLayout rootView;
    public final Button searchBack;
    public final Button searchButton;
    public final TextView searchScore;
    public final EditText searchText;
    public final TextView searchUsername;

    private ActivitySearchBinding(ConstraintLayout constraintLayout, Button button, Button button2, TextView textView, EditText editText, TextView textView2) {
        this.rootView = constraintLayout;
        this.searchBack = button;
        this.searchButton = button2;
        this.searchScore = textView;
        this.searchText = editText;
        this.searchUsername = textView2;
    }

    @Override // androidx.viewbinding.ViewBinding
    public ConstraintLayout getRoot() {
        return this.rootView;
    }

    public static ActivitySearchBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, null, false);
    }

    public static ActivitySearchBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        View inflate = layoutInflater.inflate(R.layout.activity_search, viewGroup, false);
        if (z) {
            viewGroup.addView(inflate);
        }
        return bind(inflate);
    }

    public static ActivitySearchBinding bind(View view) {
        int i = R.id.search_back;
        Button button = (Button) ViewBindings.findChildViewById(view, R.id.search_back);
        if (button != null) {
            i = R.id.search_button;
            Button button2 = (Button) ViewBindings.findChildViewById(view, R.id.search_button);
            if (button2 != null) {
                i = R.id.search_score;
                TextView textView = (TextView) ViewBindings.findChildViewById(view, R.id.search_score);
                if (textView != null) {
                    i = R.id.search_text;
                    EditText editText = (EditText) ViewBindings.findChildViewById(view, R.id.search_text);
                    if (editText != null) {
                        i = R.id.search_username;
                        TextView textView2 = (TextView) ViewBindings.findChildViewById(view, R.id.search_username);
                        if (textView2 != null) {
                            return new ActivitySearchBinding((ConstraintLayout) view, button, button2, textView, editText, textView2);
                        }
                    }
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(view.getResources().getResourceName(i)));
    }
}
