package com.silence.scoreboard.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import android.widget.ListView;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.silence.scoreboard.R;

public final class FragmentScoreboardBinding implements ViewBinding {
    public final ImageButton imageRefresh;
    public final ImageButton imageSearch;
    private final LinearLayout rootView;
    public final ListView scoreAdmin;
    public final ListView scoreUser;

    private FragmentScoreboardBinding(LinearLayout linearLayout, ImageButton imageButton, ImageButton imageButton2, ListView listView, ListView listView2) {
        this.rootView = linearLayout;
        this.imageRefresh = imageButton;
        this.imageSearch = imageButton2;
        this.scoreAdmin = listView;
        this.scoreUser = listView2;
    }

    @Override // androidx.viewbinding.ViewBinding
    public LinearLayout getRoot() {
        return this.rootView;
    }

    public static FragmentScoreboardBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, null, false);
    }

    public static FragmentScoreboardBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        View inflate = layoutInflater.inflate(R.layout.fragment_scoreboard, viewGroup, false);
        if (z) {
            viewGroup.addView(inflate);
        }
        return bind(inflate);
    }

    public static FragmentScoreboardBinding bind(View view) {
        int i = R.id.image_refresh;
        ImageButton imageButton = (ImageButton) ViewBindings.findChildViewById(view, R.id.image_refresh);
        if (imageButton != null) {
            i = R.id.image_search;
            ImageButton imageButton2 = (ImageButton) ViewBindings.findChildViewById(view, R.id.image_search);
            if (imageButton2 != null) {
                i = R.id.score_admin;
                ListView listView = (ListView) ViewBindings.findChildViewById(view, R.id.score_admin);
                if (listView != null) {
                    i = R.id.score_user;
                    ListView listView2 = (ListView) ViewBindings.findChildViewById(view, R.id.score_user);
                    if (listView2 != null) {
                        return new FragmentScoreboardBinding((LinearLayout) view, imageButton, imageButton2, listView, listView2);
                    }
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(view.getResources().getResourceName(i)));
    }
}
