package com.silence.scoreboard.http;

import com.silence.network.ResponseModel;
import com.silence.scoreboard.model.FriendInfoModel;
import com.silence.scoreboard.model.LoginBackModel;
import com.silence.scoreboard.model.ScoreBoardModel;
import io.reactivex.Observable;
import java.util.Map;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;

public interface Api {
    @FormUrlEncoded
    @POST("AddFriend.php")
    Observable<ResponseModel<FriendInfoModel>> addFriend(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("AutoLogin.php")
    Observable<ResponseModel<String>> autologin(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("GetFlag.php")
    Observable<ResponseModel<String>> getFlag(@FieldMap Map<String, String> map);

    @GET("ScoreBoard.php")
    Observable<ResponseModel<ScoreBoardModel>> getScoreBoard();

    @FormUrlEncoded
    @POST("Login.php")
    Observable<ResponseModel<LoginBackModel>> login(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("Register.php")
    Observable<ResponseModel<LoginBackModel>> register(@FieldMap Map<String, String> map);

    @FormUrlEncoded
    @POST("SubmitScore.php")
    Observable<ResponseModel<String>> submit(@FieldMap Map<String, String> map);
}
