package com.silence.scoreboard.http;

import androidx.lifecycle.LifecycleOwner;
import com.silence.bean.UserInfo;
import com.silence.manager.LoginManager;
import com.silence.network.HttpCall;
import com.silence.network.RetrofitHelper;
import com.silence.network.listener.CallBackLis;
import com.silence.scoreboard.model.FriendInfoModel;
import com.silence.scoreboard.model.LoginBackModel;
import com.silence.scoreboard.model.ScoreBoardModel;
import com.silence.utils.MD5Utils;
import com.silence.utils.OooOoo0;
import java.util.HashMap;

public class HttpRequest {
    public static void login(LifecycleOwner lifecycleOwner, String str, String str2, CallBackLis<LoginBackModel> callBackLis) {
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("account", OooOoo0.encrypt(str));
        } catch (Exception e) {
            e.printStackTrace();
        }
        hashMap.put("passwd", MD5Utils.encode(str2));
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).login(hashMap), callBackLis, null);
    }

    public static void autologin(LifecycleOwner lifecycleOwner, String str, String str2, String str3, CallBackLis<String> callBackLis) {
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("code", str);
            hashMap.put("account", OooOoo0.encrypt(str2));
            hashMap.put("username", OooOoo0.encrypt(str3));
        } catch (Exception e) {
            e.printStackTrace();
        }
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).autologin(hashMap), callBackLis, null);
    }

    public static void register(LifecycleOwner lifecycleOwner, String str, String str2, String str3, CallBackLis<LoginBackModel> callBackLis) {
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("account", OooOoo0.encrypt(str2));
            hashMap.put("username", OooOoo0.encrypt(str));
        } catch (Exception e) {
            e.printStackTrace();
        }
        hashMap.put("passwd", MD5Utils.encode(str3));
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).register(hashMap), callBackLis, null);
    }

    public static void submit(LifecycleOwner lifecycleOwner, int i, CallBackLis<String> callBackLis) {
        HashMap hashMap = new HashMap();
        UserInfo userInfo = LoginManager.getInstance().getUserInfo();
        try {
            hashMap.put("code", userInfo.getCode());
            hashMap.put("account", OooOoo0.encrypt(userInfo.getAccount()));
            hashMap.put("username", OooOoo0.encrypt(userInfo.getUserName()));
            hashMap.put("score", String.valueOf(i));
        } catch (Exception e) {
            e.printStackTrace();
        }
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).submit(hashMap), callBackLis, null);
    }

    public static void addFriend(LifecycleOwner lifecycleOwner, String str, CallBackLis<FriendInfoModel> callBackLis) {
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("code", str);
        } catch (Exception e) {
            e.printStackTrace();
        }
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).addFriend(hashMap), callBackLis, null);
    }

    public static void getScoreBoard(LifecycleOwner lifecycleOwner, CallBackLis<ScoreBoardModel> callBackLis) {
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).getScoreBoard(), callBackLis, null);
    }

    public static void getFlag(LifecycleOwner lifecycleOwner, String str, String str2, String str3, CallBackLis<String> callBackLis) {
        HashMap hashMap = new HashMap();
        try {
            hashMap.put("code", str);
            hashMap.put("account", str2);
            hashMap.put("username", str3);
        } catch (Exception e) {
            e.printStackTrace();
        }
        HttpCall.doCall(lifecycleOwner, ((Api) RetrofitHelper.getInstance().getRetrofit().create(Api.class)).getFlag(hashMap), callBackLis, null);
    }
}
