package com.uber.autodispose;

import io.reactivex.Completable;
import io.reactivex.CompletableObserver;
import io.reactivex.CompletableSource;

/* access modifiers changed from: package-private */
public final class AutoDisposeCompletable extends Completable {
    private final CompletableSource scope;
    private final Completable source;

    AutoDisposeCompletable(Completable completable, CompletableSource completableSource) {
        this.source = completable;
        this.scope = completableSource;
    }

    /* access modifiers changed from: protected */
    @Override // io.reactivex.Completable
    public void subscribeActual(CompletableObserver completableObserver) {
        this.source.subscribe(new AutoDisposingCompletableObserverImpl(this.scope, completableObserver));
    }
}
