package com.uber.autodispose;

import io.reactivex.CompletableSource;
import io.reactivex.Single;
import io.reactivex.SingleObserver;
import io.reactivex.SingleSource;

/* access modifiers changed from: package-private */
public final class AutoDisposeSingle<T> extends Single<T> {
    private final CompletableSource scope;
    private final SingleSource<T> source;

    AutoDisposeSingle(SingleSource<T> singleSource, CompletableSource completableSource) {
        this.source = singleSource;
        this.scope = completableSource;
    }

    /* access modifiers changed from: protected */
    @Override // io.reactivex.Single
    public void subscribeActual(SingleObserver<? super T> singleObserver) {
        this.source.subscribe(new AutoDisposingSingleObserverImpl(this.scope, singleObserver));
    }
}
