package com.uber.autodispose.android;

import android.view.View;
import com.uber.autodispose.ScopeProvider;
import io.reactivex.CompletableSource;
import java.util.Objects;

public final class ViewScopeProvider implements ScopeProvider {
    private final View view;

    public static ScopeProvider from(View view2) {
        Objects.requireNonNull(view2, "view == null");
        return new ViewScopeProvider(view2);
    }

    private ViewScopeProvider(View view2) {
        this.view = view2;
    }

    @Override // com.uber.autodispose.ScopeProvider
    public CompletableSource requestScope() {
        return new DetachEventCompletable(this.view);
    }
}
