package com.alibaba.fastjson.util;

import java.lang.reflect.Array;
import java.math.BigInteger;
import okhttp3.HttpUrl;
import okhttp3.internal.connection.RealConnection;

public final class RyuDouble {
    private static final int[][] POW5_INV_SPLIT = ((int[][]) Array.newInstance(int.class, 291, 4));
    private static final int[][] POW5_SPLIT = ((int[][]) Array.newInstance(int.class, 326, 4));

    static {
        int i;
        BigInteger subtract = BigInteger.ONE.shiftLeft(31).subtract(BigInteger.ONE);
        BigInteger subtract2 = BigInteger.ONE.shiftLeft(31).subtract(BigInteger.ONE);
        for (int i2 = 0; i2 < 326; i2++) {
            BigInteger pow = BigInteger.valueOf(5).pow(i2);
            int bitLength = pow.bitLength();
            if (i2 == 0) {
                i = 1;
            } else {
                i = (int) ((((((long) i2) * 23219280) + 10000000) - 1) / 10000000);
            }
            if (i == bitLength) {
                if (i2 < POW5_SPLIT.length) {
                    for (int i3 = 0; i3 < 4; i3++) {
                        POW5_SPLIT[i2][i3] = pow.shiftRight((bitLength - 121) + ((3 - i3) * 31)).and(subtract).intValue();
                    }
                }
                if (i2 < POW5_INV_SPLIT.length) {
                    BigInteger add = BigInteger.ONE.shiftLeft(bitLength + 121).divide(pow).add(BigInteger.ONE);
                    for (int i4 = 0; i4 < 4; i4++) {
                        if (i4 == 0) {
                            POW5_INV_SPLIT[i2][i4] = add.shiftRight((3 - i4) * 31).intValue();
                        } else {
                            POW5_INV_SPLIT[i2][i4] = add.shiftRight((3 - i4) * 31).and(subtract2).intValue();
                        }
                    }
                }
            } else {
                throw new IllegalStateException(bitLength + " != " + i);
            }
        }
    }

    public static String toString(double d) {
        char[] cArr = new char[24];
        return new String(cArr, 0, toString(d, cArr, 0));
    }

    /* JADX WARNING: Removed duplicated region for block: B:237:0x059f  */
    /* JADX WARNING: Removed duplicated region for block: B:238:0x05a1  */
    public static int toString(double d, char[] cArr, int i) {
        int i2;
        boolean z;
        boolean z2;
        long j;
        long j2;
        int i3;
        int i4;
        int i5;
        long j3;
        int i6;
        long j4;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        if (Double.isNaN(d)) {
            int i19 = i + 1;
            cArr[i] = 'N';
            int i20 = i19 + 1;
            cArr[i19] = 'a';
            i18 = i20 + 1;
            cArr[i20] = 'N';
        } else {
            if (d == Double.POSITIVE_INFINITY) {
                int i21 = i + 1;
                cArr[i] = 'I';
                int i22 = i21 + 1;
                cArr[i21] = 'n';
                int i23 = i22 + 1;
                cArr[i22] = 'f';
                int i24 = i23 + 1;
                cArr[i23] = 'i';
                int i25 = i24 + 1;
                cArr[i24] = 'n';
                int i26 = i25 + 1;
                cArr[i25] = 'i';
                int i27 = i26 + 1;
                cArr[i26] = 't';
                i11 = i27 + 1;
                cArr[i27] = 'y';
            } else if (d == Double.NEGATIVE_INFINITY) {
                int i28 = i + 1;
                cArr[i] = '-';
                int i29 = i28 + 1;
                cArr[i28] = 'I';
                int i30 = i29 + 1;
                cArr[i29] = 'n';
                int i31 = i30 + 1;
                cArr[i30] = 'f';
                int i32 = i31 + 1;
                cArr[i31] = 'i';
                int i33 = i32 + 1;
                cArr[i32] = 'n';
                int i34 = i33 + 1;
                cArr[i33] = 'i';
                int i35 = i34 + 1;
                cArr[i34] = 't';
                i18 = i35 + 1;
                cArr[i35] = 'y';
            } else {
                long doubleToLongBits = Double.doubleToLongBits(d);
                int i36 = (doubleToLongBits > 0 ? 1 : (doubleToLongBits == 0 ? 0 : -1));
                if (i36 == 0) {
                    int i37 = i + 1;
                    cArr[i] = '0';
                    int i38 = i37 + 1;
                    cArr[i37] = '.';
                    i18 = i38 + 1;
                    cArr[i38] = '0';
                } else if (doubleToLongBits == Long.MIN_VALUE) {
                    int i39 = i + 1;
                    cArr[i] = '-';
                    int i40 = i39 + 1;
                    cArr[i39] = '0';
                    int i41 = i40 + 1;
                    cArr[i40] = '.';
                    i11 = i41 + 1;
                    cArr[i41] = '0';
                } else {
                    int i42 = (int) ((doubleToLongBits >>> 52) & 2047);
                    long j5 = doubleToLongBits & 4503599627370495L;
                    if (i42 == 0) {
                        i2 = -1074;
                    } else {
                        i2 = (i42 - 1023) - 52;
                        j5 |= 4503599627370496L;
                    }
                    boolean z3 = i36 < 0;
                    boolean z4 = (j5 & 1) == 0;
                    long j6 = 4 * j5;
                    long j7 = j6 + 2;
                    int i43 = (j5 != 4503599627370496L || i42 <= 1) ? 1 : 0;
                    long j8 = (j6 - 1) - ((long) i43);
                    int i44 = i2 - 2;
                    int i45 = 3;
                    if (i44 >= 0) {
                        int max = Math.max(0, ((int) ((((long) i44) * 3010299) / 10000000)) - 1);
                        if (max == 0) {
                            i13 = 1;
                        } else {
                            i13 = (int) ((((((long) max) * 23219280) + 10000000) - 1) / 10000000);
                        }
                        int i46 = ((((-i44) + max) + ((i13 + 122) - 1)) - 93) - 21;
                        if (i46 >= 0) {
                            int[] iArr = POW5_INV_SPLIT[max];
                            long j9 = j6 >>> 31;
                            long j10 = j6 & 2147483647L;
                            z2 = z3;
                            z = z4;
                            long j11 = ((((((((((((j10 * ((long) iArr[3])) >>> 31) + (((long) iArr[2]) * j10)) + (j9 * ((long) iArr[3]))) >>> 31) + (((long) iArr[1]) * j10)) + (((long) iArr[2]) * j9)) >>> 31) + (((long) iArr[0]) * j10)) + (((long) iArr[1]) * j9)) >>> 21) + ((((long) iArr[0]) * j9) << 10)) >>> i46;
                            long j12 = j7 >>> 31;
                            long j13 = j7 & 2147483647L;
                            long j14 = ((long) iArr[0]) * j12;
                            long j15 = ((long) iArr[0]) * j13;
                            long j16 = ((long) iArr[1]) * j12;
                            long j17 = ((long) iArr[1]) * j13;
                            long j18 = ((long) iArr[2]) * j12;
                            long j19 = ((long) iArr[2]) * j13;
                            long j20 = j12 * ((long) iArr[3]);
                            long j21 = j8 >>> 31;
                            long j22 = j8 & 2147483647L;
                            long j23 = ((long) iArr[0]) * j21;
                            long j24 = ((long) iArr[0]) * j22;
                            long j25 = ((long) iArr[1]) * j21;
                            j = ((((((((((((j13 * ((long) iArr[3])) >>> 31) + j19) + j20) >>> 31) + j17) + j18) >>> 31) + j15) + j16) >>> 21) + (j14 << 10)) >>> i46;
                            j3 = ((((((((((((j22 * ((long) iArr[3])) >>> 31) + (((long) iArr[2]) * j22)) + (j21 * ((long) iArr[3]))) >>> 31) + (((long) iArr[1]) * j22)) + (((long) iArr[2]) * j21)) >>> 31) + j24) + j25) >>> 21) + (j23 << 10)) >>> i46;
                            if (max <= 21) {
                                long j26 = 0;
                                int i47 = ((j6 % 5) > 0 ? 1 : ((j6 % 5) == 0 ? 0 : -1));
                                if (i47 == 0) {
                                    if (i47 != 0) {
                                        i17 = 0;
                                    } else if (j6 % 25 != 0) {
                                        i17 = 1;
                                    } else if (j6 % 125 != 0) {
                                        i17 = 2;
                                    } else if (j6 % 625 != 0) {
                                        i17 = 3;
                                    } else {
                                        long j27 = j6 / 625;
                                        i17 = 4;
                                        while (j27 > j26 && j27 % 5 == j26) {
                                            j27 /= 5;
                                            i17++;
                                            j26 = 0;
                                        }
                                    }
                                    i4 = i17 >= max ? 1 : 0;
                                    i14 = 0;
                                    i3 = i14;
                                    j2 = j11;
                                    i5 = max;
                                    i6 = 0;
                                } else if (z) {
                                    long j28 = 0;
                                    if (j8 % 5 != 0) {
                                        i16 = 0;
                                    } else if (j8 % 25 != 0) {
                                        i16 = 1;
                                    } else if (j8 % 125 != 0) {
                                        i16 = 2;
                                    } else if (j8 % 625 != 0) {
                                        i16 = 3;
                                    } else {
                                        long j29 = j8 / 625;
                                        i16 = 4;
                                        while (j29 > j28 && j29 % 5 == j28) {
                                            j29 /= 5;
                                            i16++;
                                            j28 = 0;
                                        }
                                    }
                                    if (i16 >= max) {
                                        i14 = 1;
                                        i4 = 0;
                                        i3 = i14;
                                        j2 = j11;
                                        i5 = max;
                                        i6 = 0;
                                    }
                                } else {
                                    long j30 = 0;
                                    if (j7 % 5 != 0) {
                                        i15 = 0;
                                    } else if (j7 % 25 != 0) {
                                        i15 = 1;
                                    } else if (j7 % 125 != 0) {
                                        i15 = 2;
                                    } else if (j7 % 625 != 0) {
                                        i15 = 3;
                                    } else {
                                        long j31 = j7 / 625;
                                        i15 = 4;
                                        while (j31 > j30 && j31 % 5 == j30) {
                                            j31 /= 5;
                                            i15++;
                                            j30 = 0;
                                        }
                                    }
                                    if (i15 >= max) {
                                        j--;
                                    }
                                }
                            }
                            i14 = 0;
                            i4 = 0;
                            i3 = i14;
                            j2 = j11;
                            i5 = max;
                            i6 = 0;
                        } else {
                            throw new IllegalArgumentException(HttpUrl.FRAGMENT_ENCODE_SET + i46);
                        }
                    } else {
                        z2 = z3;
                        z = z4;
                        int i48 = -i44;
                        int max2 = Math.max(0, ((int) ((((long) i48) * 6989700) / 10000000)) - 1);
                        int i49 = i48 - max2;
                        if (i49 == 0) {
                            i12 = 1;
                        } else {
                            i12 = (int) ((((((long) i49) * 23219280) + 10000000) - 1) / 10000000);
                        }
                        int i50 = ((max2 - (i12 - 121)) - 93) - 21;
                        if (i50 >= 0) {
                            int[] iArr2 = POW5_SPLIT[i49];
                            long j32 = j6 >>> 31;
                            long j33 = j6 & 2147483647L;
                            long j34 = ((long) iArr2[0]) * j32;
                            long j35 = ((long) iArr2[0]) * j33;
                            long j36 = ((long) iArr2[1]) * j32;
                            long j37 = ((long) iArr2[1]) * j33;
                            long j38 = ((long) iArr2[2]) * j32;
                            long j39 = ((long) iArr2[2]) * j33;
                            long j40 = j32 * ((long) iArr2[3]);
                            long j41 = j7 >>> 31;
                            long j42 = j7 & 2147483647L;
                            long j43 = ((long) iArr2[0]) * j41;
                            long j44 = ((long) iArr2[0]) * j42;
                            long j45 = ((long) iArr2[1]) * j41;
                            long j46 = ((long) iArr2[1]) * j42;
                            j2 = ((((((((((((j33 * ((long) iArr2[3])) >>> 31) + j39) + j40) >>> 31) + j37) + j38) >>> 31) + j35) + j36) >>> 21) + (j34 << 10)) >>> i50;
                            long j47 = ((((((((((((j42 * ((long) iArr2[3])) >>> 31) + (((long) iArr2[2]) * j42)) + (j41 * ((long) iArr2[3]))) >>> 31) + j46) + (((long) iArr2[2]) * j41)) >>> 31) + j44) + j45) >>> 21) + (j43 << 10)) >>> i50;
                            long j48 = j8 >>> 31;
                            long j49 = j8 & 2147483647L;
                            i6 = 0;
                            j3 = ((((((((((((j49 * ((long) iArr2[3])) >>> 31) + (((long) iArr2[2]) * j49)) + (j48 * ((long) iArr2[3]))) >>> 31) + (((long) iArr2[1]) * j49)) + (((long) iArr2[2]) * j48)) >>> 31) + (((long) iArr2[0]) * j49)) + (((long) iArr2[1]) * j48)) >>> 21) + ((((long) iArr2[0]) * j48) << 10)) >>> i50;
                            i5 = max2 + i44;
                            i4 = 1;
                            if (max2 > 1) {
                                if (max2 < 63) {
                                    i4 = (j6 & ((1 << (max2 - 1)) - 1)) == 0 ? 1 : 0;
                                    i3 = 0;
                                } else {
                                    i4 = 0;
                                    i3 = 0;
                                }
                                j = j47;
                            } else if (z) {
                                j = j47;
                                i3 = i43 == 1 ? 1 : 0;
                            } else {
                                j = j47 - 1;
                                i3 = 0;
                            }
                        } else {
                            throw new IllegalArgumentException(HttpUrl.FRAGMENT_ENCODE_SET + i50);
                        }
                    }
                    if (j >= 1000000000000000000L) {
                        i45 = 19;
                    } else if (j >= 100000000000000000L) {
                        i45 = 18;
                    } else if (j >= 10000000000000000L) {
                        i45 = 17;
                    } else if (j >= 1000000000000000L) {
                        i45 = 16;
                    } else if (j >= 100000000000000L) {
                        i45 = 15;
                    } else if (j >= 10000000000000L) {
                        i45 = 14;
                    } else if (j >= 1000000000000L) {
                        i45 = 13;
                    } else if (j >= 100000000000L) {
                        i45 = 12;
                    } else if (j >= RealConnection.IDLE_CONNECTION_HEALTHY_NS) {
                        i45 = 11;
                    } else if (j >= 1000000000) {
                        i45 = 10;
                    } else if (j >= 100000000) {
                        i45 = 9;
                    } else if (j >= 10000000) {
                        i45 = 8;
                    } else if (j >= 1000000) {
                        i45 = 7;
                    } else if (j >= 100000) {
                        i45 = 6;
                    } else if (j >= 10000) {
                        i45 = 5;
                    } else if (j >= 1000) {
                        i45 = 4;
                    } else if (j < 100) {
                        i45 = j >= 10 ? 2 : 1;
                    }
                    int i51 = (i5 + i45) - 1;
                    int i52 = (i51 < -3 || i51 >= 7) ? 1 : i6;
                    if (i3 == 0 && i4 == 0) {
                        int i53 = i6;
                        i7 = i53;
                        while (true) {
                            long j50 = j / 10;
                            long j51 = j3 / 10;
                            if (j50 > j51 && (j >= 100 || i52 == 0)) {
                                i53 = (int) (j2 % 10);
                                j2 /= 10;
                                i7++;
                                j = j50;
                                j3 = j51;
                            }
                        }
                        j4 = j2 + ((long) ((j2 == j3 || i53 >= 5) ? 1 : i6));
                    } else {
                        int i54 = i6;
                        int i55 = i54;
                        while (true) {
                            long j52 = j / 10;
                            long j53 = j3 / 10;
                            if (j52 > j53 && (j >= 100 || i52 == 0)) {
                                i3 &= j3 % 10 == 0 ? 1 : i6;
                                i4 &= i54 == 0 ? 1 : i6;
                                i54 = (int) (j2 % 10);
                                j2 /= 10;
                                i55++;
                                j = j52;
                                j3 = j53;
                            } else if (i3 != 0 && z) {
                                while (j3 % 10 == 0 && (j >= 100 || i52 == 0)) {
                                    i4 &= i54 != 0 ? 1 : i6;
                                    i54 = (int) (j2 % 10);
                                    j /= 10;
                                    j2 /= 10;
                                    j3 /= 10;
                                    i55++;
                                }
                            }
                        }
                        while (j3 % 10 == 0) {
                            i4 &= i54 != 0 ? 1 : i6;
                            i54 = (int) (j2 % 10);
                            j /= 10;
                            j2 /= 10;
                            j3 /= 10;
                            i55++;
                        }
                        if (i4 != 0 && i54 == 5 && j2 % 2 == 0) {
                            i54 = 4;
                        }
                        j4 = j2 + ((long) (((j2 != j3 || (i3 != 0 && z)) && i54 < 5) ? i6 : 1));
                        i7 = i55;
                    }
                    int i56 = i45 - i7;
                    if (z2) {
                        i8 = i + 1;
                        cArr[i] = '-';
                    } else {
                        i8 = i;
                    }
                    if (i52 != 0) {
                        while (i6 < i56 - 1) {
                            int i57 = (int) (j4 % 10);
                            j4 /= 10;
                            cArr[(i8 + i56) - i6] = (char) (i57 + 48);
                            i6++;
                        }
                        cArr[i8] = (char) ((int) ((j4 % 10) + 48));
                        cArr[i8 + 1] = '.';
                        int i58 = i8 + i56 + 1;
                        if (i56 == 1) {
                            cArr[i58] = '0';
                            i58++;
                        }
                        int i59 = i58 + 1;
                        cArr[i58] = 'E';
                        if (i51 < 0) {
                            cArr[i59] = '-';
                            i51 = -i51;
                            i59++;
                        }
                        if (i51 >= 100) {
                            int i60 = i59 + 1;
                            i10 = 48;
                            cArr[i59] = (char) ((i51 / 100) + 48);
                            i51 %= 100;
                            i59 = i60 + 1;
                            cArr[i60] = (char) ((i51 / 10) + 48);
                        } else {
                            i10 = 48;
                            if (i51 >= 10) {
                                cArr[i59] = (char) ((i51 / 10) + 48);
                                i59++;
                            }
                        }
                        i11 = i59 + 1;
                        cArr[i59] = (char) ((i51 % 10) + i10);
                    } else {
                        char c = '0';
                        if (i51 < 0) {
                            int i61 = i8 + 1;
                            cArr[i8] = '0';
                            int i62 = i61 + 1;
                            cArr[i61] = '.';
                            int i63 = -1;
                            while (i63 > i51) {
                                cArr[i62] = c;
                                i63--;
                                i62++;
                                c = '0';
                            }
                            i9 = i62;
                            while (i6 < i56) {
                                cArr[((i62 + i56) - i6) - 1] = (char) ((int) ((j4 % 10) + 48));
                                j4 /= 10;
                                i9++;
                                i6++;
                            }
                        } else {
                            int i64 = i51 + 1;
                            if (i64 >= i56) {
                                while (i6 < i56) {
                                    cArr[((i8 + i56) - i6) - 1] = (char) ((int) ((j4 % 10) + 48));
                                    j4 /= 10;
                                    i6++;
                                }
                                int i65 = i8 + i56;
                                while (i56 < i64) {
                                    cArr[i65] = '0';
                                    i56++;
                                    i65++;
                                }
                                int i66 = i65 + 1;
                                cArr[i65] = '.';
                                cArr[i66] = '0';
                                i9 = i66 + 1;
                            } else {
                                int i67 = i8 + 1;
                                while (i6 < i56) {
                                    if ((i56 - i6) - 1 == i51) {
                                        cArr[((i67 + i56) - i6) - 1] = '.';
                                        i67--;
                                    }
                                    cArr[((i67 + i56) - i6) - 1] = (char) ((int) ((j4 % 10) + 48));
                                    j4 /= 10;
                                    i6++;
                                }
                                i9 = i8 + i56 + 1;
                            }
                        }
                        return i9 - i;
                    }
                }
            }
            return i11 - i;
        }
        return i18 - i;
    }
}
