package com.silence.game;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import androidx.core.app.NotificationManagerCompat;
import androidx.core.view.ViewCompat;
import java.util.ArrayList;

public class Snake {
    int X;
    int Y;
    Node head = new Node(22, 2, Dir.R);
    int screenH;
    int screenW;
    int size;
    ArrayList<Node> snakeBody;

    public Snake() {
        ArrayList<Node> arrayList = new ArrayList<>();
        this.snakeBody = arrayList;
        arrayList.add(this.head);
        add();
        this.size = 40;
        this.screenW = GameActivity.screenW;
        int i = GameActivity.screenH;
        this.screenH = i;
        this.X = (i + NotificationManagerCompat.IMPORTANCE_UNSPECIFIED) / 2;
        this.Y = (this.screenW - 600) / 2;
    }

    public void draw(Paint paint, Canvas canvas) {
        for (int i = 0; i < this.snakeBody.size(); i++) {
            this.snakeBody.get(i).draw(paint, canvas);
        }
        move();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.silence.game.Snake$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$silence$game$Dir;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        static {
            int[] iArr = new int[Dir.values().length];
            $SwitchMap$com$silence$game$Dir = iArr;
            iArr[Dir.L.ordinal()] = 1;
            $SwitchMap$com$silence$game$Dir[Dir.R.ordinal()] = 2;
            $SwitchMap$com$silence$game$Dir[Dir.U.ordinal()] = 3;
            try {
                $SwitchMap$com$silence$game$Dir[Dir.D.ordinal()] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    private void move() {
        int i = AnonymousClass1.$SwitchMap$com$silence$game$Dir[this.head.dir.ordinal()];
        if (i == 1) {
            this.head.col--;
        } else if (i == 2) {
            this.head.col++;
        } else if (i == 3) {
            this.head.row--;
        } else if (i == 4) {
            this.head.row++;
        }
        add();
        delete();
    }

    public void add() {
        Node node;
        int i = AnonymousClass1.$SwitchMap$com$silence$game$Dir[this.head.dir.ordinal()];
        if (i == 1) {
            node = new Node(this.head.row, this.head.col + 1, Dir.L);
        } else if (i == 2) {
            node = new Node(this.head.row, this.head.col - 1, Dir.R);
        } else if (i != 3) {
            node = i != 4 ? null : new Node(this.head.row - 1, this.head.col, Dir.D);
        } else {
            node = new Node(this.head.row + 1, this.head.col, Dir.U);
        }
        this.snakeBody.add(1, node);
    }

    private void delete() {
        if (this.snakeBody.size() > 1) {
            ArrayList<Node> arrayList = this.snakeBody;
            arrayList.remove(arrayList.size() - 1);
        }
    }

    public Rect getRect() {
        return new Rect(((this.head.col - 1) * this.size) + this.Y, ((this.head.row - 1) * this.size) + this.X, (this.head.col * this.size) + this.Y, (this.head.row * this.size) + this.X);
    }

    public boolean checkDead() {
        for (int i = 1; i < this.snakeBody.size(); i++) {
            if (getRect().intersect(this.snakeBody.get(i).getRect())) {
                return true;
            }
        }
        if (((this.head.row - 1) * this.size) + this.X > this.screenH || (this.head.row * this.size) + this.X < 0 || (this.head.col * this.size) + this.Y > this.screenW || ((this.head.col - 1) * this.size) + this.Y < 0) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public class Node {
        int col;
        Dir dir;
        int row;

        public Node(int i, int i2, Dir dir2) {
            this.row = i;
            this.col = i2;
            this.dir = dir2;
            Snake.this.size = 40;
        }

        public void draw(Paint paint, Canvas canvas) {
            if (this == Snake.this.head) {
                paint.setColor(-16711936);
                canvas.drawRect((float) (((this.col - 1) * Snake.this.size) + Snake.this.Y + 3), (float) (((this.row - 1) * Snake.this.size) + Snake.this.X + 3), (float) (((this.col * Snake.this.size) + Snake.this.Y) - 3), (float) (((this.row * Snake.this.size) + Snake.this.X) - 3), paint);
                return;
            }
            paint.setColor(ViewCompat.MEASURED_STATE_MASK);
            canvas.drawRect((float) (((this.col - 1) * Snake.this.size) + Snake.this.Y + 3), (float) (((this.row - 1) * Snake.this.size) + Snake.this.X + 3), (float) (((this.col * Snake.this.size) + Snake.this.Y) - 3), (float) (((this.row * Snake.this.size) + Snake.this.X) - 3), paint);
        }

        public Rect getRect() {
            return new Rect(((this.col - 1) * Snake.this.size) + Snake.this.Y, ((this.row - 1) * Snake.this.size) + Snake.this.X, (this.col * Snake.this.size) + Snake.this.Y, (this.row * Snake.this.size) + Snake.this.X);
        }
    }
}
