package com.silence.scoreboard.ui.me;

import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;
import com.silence.activity.LoginActivity;
import com.silence.base.BaseApplication;
import com.silence.bean.UserInfo;
import com.silence.manager.LoginManager;
import com.silence.network.listener.CallBackLis;
import com.silence.scoreboard.R;
import com.silence.scoreboard.databinding.FragmentMeBinding;
import com.silence.scoreboard.http.HttpRequest;
import com.silence.utils.PreferencesUtil;

public class MeFragment extends Fragment {
    private FragmentMeBinding binding;

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        MeViewModel meViewModel = (MeViewModel) new ViewModelProvider(this).get(MeViewModel.class);
        FragmentMeBinding inflate = FragmentMeBinding.inflate(layoutInflater, viewGroup, false);
        this.binding = inflate;
        ConstraintLayout root = inflate.getRoot();
        if (LoginManager.getInstance().isLogin()) {
            TextView textView = this.binding.meCode;
            TextView textView2 = this.binding.meUsername;
            TextView textView3 = this.binding.meScore;
            UserInfo userInfo = LoginManager.getInstance().getUserInfo();
            textView.setText(String.format(getResources().getString(R.string.me_code), userInfo.getCode()));
            textView2.setText(String.format(getResources().getString(R.string.me_username), userInfo.getUserName()));
            textView3.setText(String.format(getResources().getString(R.string.me_best), Integer.valueOf(PreferencesUtil.getInt("rec", 2))));
        }
        this.binding.getFlag.setOnClickListener(new MeFragment$$ExternalSyntheticLambda0(this));
        this.binding.logout.setOnClickListener(new MeFragment$$ExternalSyntheticLambda1(this));
        return root;
    }

    /* renamed from: lambda$onCreateView$0$com-silence-scoreboard-ui-me-MeFragment  reason: not valid java name */
    public /* synthetic */ void m4lambda$onCreateView$0$comsilencescoreboarduimeMeFragment(View view) {
        UserInfo userInfo = LoginManager.getInstance().getUserInfo();
        HttpRequest.getFlag(this, userInfo.getCode(), userInfo.getAccount(), userInfo.getUserName(), new CallBackLis<String>() {
            /* class com.silence.scoreboard.ui.me.MeFragment.AnonymousClass1 */

            public void onSuccess(String str, String str2) {
                Toast.makeText(MeFragment.this.getContext(), str2, 0).show();
            }

            @Override // com.silence.network.listener.CallBackLis
            public void onFailure(String str, String str2) {
                Toast.makeText(MeFragment.this.getContext(), str2, 0).show();
            }
        });
    }

    /* renamed from: lambda$onCreateView$1$com-silence-scoreboard-ui-me-MeFragment  reason: not valid java name */
    public /* synthetic */ void m5lambda$onCreateView$1$comsilencescoreboarduimeMeFragment(View view) {
        LoginManager.getInstance().setUserInfo((UserInfo) null);
        PreferencesUtil.putInt("rec", 2);
        Intent intent = new Intent();
        intent.setAction("exit_app");
        BaseApplication.getContext().sendBroadcast(intent);
        startActivity(new Intent(getContext(), LoginActivity.class));
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        this.binding = null;
    }
}
