package com.uber.autodispose.android.lifecycle;

import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.OnLifecycleEvent;
import com.uber.autodispose.android.internal.AutoDisposeAndroidUtil;
import com.uber.autodispose.android.internal.MainThreadDisposable;
import io.reactivex.Observable;
import io.reactivex.Observer;
import io.reactivex.subjects.BehaviorSubject;

/* access modifiers changed from: package-private */
public class LifecycleEventsObservable extends Observable<Lifecycle.Event> {
    private final BehaviorSubject<Lifecycle.Event> eventsObservable = BehaviorSubject.create();
    private final Lifecycle lifecycle;

    LifecycleEventsObservable(Lifecycle lifecycle2) {
        this.lifecycle = lifecycle2;
    }

    /* access modifiers changed from: package-private */
    public Lifecycle.Event getValue() {
        return this.eventsObservable.getValue();
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.uber.autodispose.android.lifecycle.LifecycleEventsObservable$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$androidx$lifecycle$Lifecycle$State;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|12) */
        /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[Lifecycle.State.values().length];
            $SwitchMap$androidx$lifecycle$Lifecycle$State = iArr;
            iArr[Lifecycle.State.INITIALIZED.ordinal()] = 1;
            $SwitchMap$androidx$lifecycle$Lifecycle$State[Lifecycle.State.CREATED.ordinal()] = 2;
            $SwitchMap$androidx$lifecycle$Lifecycle$State[Lifecycle.State.STARTED.ordinal()] = 3;
            $SwitchMap$androidx$lifecycle$Lifecycle$State[Lifecycle.State.RESUMED.ordinal()] = 4;
            $SwitchMap$androidx$lifecycle$Lifecycle$State[Lifecycle.State.DESTROYED.ordinal()] = 5;
        }
    }

    /* access modifiers changed from: package-private */
    public void backfillEvents() {
        Lifecycle.Event event;
        int i = AnonymousClass1.$SwitchMap$androidx$lifecycle$Lifecycle$State[this.lifecycle.getCurrentState().ordinal()];
        if (i == 1) {
            event = Lifecycle.Event.ON_CREATE;
        } else if (i == 2) {
            event = Lifecycle.Event.ON_START;
        } else if (i == 3 || i == 4) {
            event = Lifecycle.Event.ON_RESUME;
        } else {
            event = Lifecycle.Event.ON_DESTROY;
        }
        this.eventsObservable.onNext(event);
    }

    /* access modifiers changed from: protected */
    @Override // io.reactivex.Observable
    public void subscribeActual(Observer<? super Lifecycle.Event> observer) {
        ArchLifecycleObserver archLifecycleObserver = new ArchLifecycleObserver(this.lifecycle, observer, this.eventsObservable);
        observer.onSubscribe(archLifecycleObserver);
        if (!AutoDisposeAndroidUtil.isMainThread()) {
            observer.onError(new IllegalStateException("Lifecycles can only be bound to on the main thread!"));
            return;
        }
        this.lifecycle.addObserver(archLifecycleObserver);
        if (archLifecycleObserver.isDisposed()) {
            this.lifecycle.removeObserver(archLifecycleObserver);
        }
    }

    static final class ArchLifecycleObserver extends MainThreadDisposable implements LifecycleObserver {
        private final BehaviorSubject<Lifecycle.Event> eventsObservable;
        private final Lifecycle lifecycle;
        private final Observer<? super Lifecycle.Event> observer;

        ArchLifecycleObserver(Lifecycle lifecycle2, Observer<? super Lifecycle.Event> observer2, BehaviorSubject<Lifecycle.Event> behaviorSubject) {
            this.lifecycle = lifecycle2;
            this.observer = observer2;
            this.eventsObservable = behaviorSubject;
        }

        /* access modifiers changed from: protected */
        @Override // com.uber.autodispose.android.internal.MainThreadDisposable
        public void onDispose() {
            this.lifecycle.removeObserver(this);
        }

        /* access modifiers changed from: package-private */
        @OnLifecycleEvent(Lifecycle.Event.ON_ANY)
        public void onStateChange(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
            if (!isDisposed()) {
                if (!(event == Lifecycle.Event.ON_CREATE && this.eventsObservable.getValue() == event)) {
                    this.eventsObservable.onNext(event);
                }
                this.observer.onNext(event);
            }
        }
    }
}
